.bom-details-body {
  display: flex;
  justify-content: space-between;

  .action-buttons-bom {
    display: flex;
    flex-direction: row;
    margin: 5px 0 0 0;
    height: 30px;
    justify-content: right;
    .bom-btn {
      width: 170px;
      margin: 1px;
    }
  }
  .left-header {
    margin: 0 0 -10px -15px;
  }
}

.bom-data-section {
  background-color: white;

  .detail-title {
    padding-bottom: 5px;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #4e585c;
  }

  .config {
    padding-top: 8px;
    cursor: pointer;
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: 500;
    color: var(--primary);
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
  }

  .select-all-rows {
    display: flex;
    align-items: center;

    .selection {
      padding-bottom: 0;
    }

    .checkbox-holder {
      padding-bottom: 0;
      font-size: var(--font-m);
      margin-top: 0px;
    }

    .selection-count {
      padding-bottom: 0;
      font-size: var(--font-m);
      padding-left: 15px;
      color: var(--primary);
    }
  }

  .section-title {
    width: 175px;
    font-size: var(--font-m);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #001f2b;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 30px;
  }

  .product-details-container {
    display: flex;
    flex-direction: column;
    padding: 20px 20px;
    border: solid 1px #c3cbce;
    margin: 10px 20px;
    padding: 10px 15px;
    .note-bom {
      background: #cccccc3d;
      width: fit-content;
      padding: 2px;
    }
  }

  .selected {
    border: solid 1px #00a0dc;
  }

  .product-detail {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    .product-data {
      font-size: var(--font-m);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.29;
      letter-spacing: normal;
      // text-align: left;
      color: #001f2b;
    }

    .purchased-qty,
    .shipped-qty {
      width: 50px;
      margin-left: 10px;
      border-radius: 4px;
    }

    .po-description {
      max-width: 300px;
    }
  }

  .top-secton {
    padding-bottom: 8px;
    border-bottom: solid 1px #c3cbce;

    .product-id {
      .checkbox-holder {
        margin: 0px;
      }
    }

    .add-config-or {
      display: flex;
      align-items: center;
      border-left: solid 1px #dce6ea;
      padding-left: 10px;
      width: 145px;

      .custom-config-tooltip {
        width: 140px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #ffffff;

        .title {
          font-weight: 600;
        }
      }

      .checkbox-holder {
        margin: 0px;
      }
    }

    .recieved-qty-actions {
      .or-action-item {
        width: 70px;
        height: 20px;
        padding: 1px 13px 8px 9px;
        border-radius: 2px;
        margin-right: 2px;
        cursor: pointer;
        border: solid 1px #dce6ea;
        background-color: #dce6ea;
        color: #808688;
        font-size: 14px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
      }

      .active {
        border-radius: 2px;
        border: solid 1px #00a0dc;
        background-color: #00a0dc;
        color: white;
      }
    }

    .qty-action-tabs {
      display: flex;
    }

    .custom-recieved-qty {
      padding: 0px !important;
      margin-top: -16px;
      padding-left: 2px;
      width: 115px;
    }
  }

  .middle-section {
    padding: 10px 0 5px 0;

    .tag-input {
      display: flex;
      flex-direction: column;
      flex: 0.4;

      .detail-title {
        padding-bottom: 5px;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #4e585c;
      }

      .react-tagsinput {
        .react-tagsinput-input {
          margin-top: 0;
          padding: 0;
        }

        .react-tagsinput-tag {
          padding: 0px;
          padding-left: 2px;
          padding-right: 2px;
        }
      }
    }
  }

  .bottom-section {
    padding-top: 8px;

    .mapped-carrier-container {
      .field-section {
        width: 130px;
      }
    }

    .field-section {
      padding: 0px;

      .field__input {
        textarea {
          height: 50px;
        }
      }
    }
  }

  .purchase-order-list-bom {
    border-top: 1px solid #ccc;
  }
  .purchase-order-bom {
    background: #f5f5f5b8;
    padding: 0 0 5px 0;
    margin: 22px 0px;
    .last-note {
      padding: 10px 10px 0px 20px;
      .note-label {
        color: #777;
      }
    }
  }
}


.no-data {
  border: 1px solid #cccccc69;
  padding: 8px 25px;
  margin: 5px;
  text-align: center;
  font-weight: 500;
}